<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 */

/* diese Zeile nicht ändern!! */
defined('mxMainFileLoaded') or die('access denied');

/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {
    /**
     * die Navigationsbuttons im header, wird in der
     * Funktion theme_define_placeholders() ausgewertet
     */

    $themesetting['headnav'][_HOME] = array(/* Startseite */
        'link' => './',
        'case' => array(
            defined('MX_HOME_FILE'),
            ));

    $themesetting['headnav'][_NEWSSHORT] = array(/* Newsmodul */
        'link' => 'modules.php?name=Stories_Archive',
        'case' => array(
            MX_MODULE == 'Stories_Archive',
            MX_MODULE == 'News',
            MX_MODULE == 'Submit_News',
            MX_MODULE == 'Topics',
            ));

    $themesetting['headnav'][_YSACCOUNT] = array(/* Userprofil */
        'link' => 'modules.php?name=Your_Account',
        'case' => array(
            MX_MODULE == 'Your_Account',
            MX_MODULE == 'User_Registration',
            MX_MODULE == 'Private_Messages',
            (MX_MODULE == 'Userinfo' && !empty($GLOBALS['istheuser'])) ,
            (MX_MODULE == 'UserGuest' && isset($_REQUEST['op']) && $_REQUEST['op'] == 'view'),
            ));

    $themesetting['headnav'][_SEARCH] = array(/* Suche */
        'link' => 'modules.php?name=Search',
        'case' => array(
            MX_MODULE == 'Search',
            ));

    $themesetting['headnav'][_IMPRESSUM] = array(/* Impressum */
        'link' => 'modules.php?name=Impressum',
        'case' => array(
            MX_MODULE == 'Impressum',
            MX_MODULE == 'legal',
            ));

    if (MX_IS_ADMIN) {
        $themesetting['headnav'][_ADMINMENUEBL] = array(/* Administration */
            'link' => adminUrl(),
            'case' => array(
                MX_MODULE == 'admin',
                ));
    }

    /* ------ ENDE Navigationsbuttons ------- */

    /* Hilfsvariablen für das SMF-Forum */
    global $context; // vom SMF
    $current_action = isset($context['current_action']) ? $context['current_action'] : false;

    /**
     * Seiten, bei denen, die linken Blöcke nicht gezeigt werden sollen
     */
    $themesetting['noblock'] = array(/* Seiten/Module */
        MX_MODULE == 'admin',
        MX_MODULE == 'Forum' && $current_action != 'profile' && $current_action != 'pm' ,
        // weitere Beispiele:
        // MX_MODULE === 'Gallery',
        // MX_MODULE == 'eBoard',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );
}
/* Ende nur Module */

/**
 * Standardfarben die im System und den Modulen verwendet werden
 */
global $bgcolor1;
$bgcolor1 = "#fdfefa";
global $bgcolor2;
$bgcolor2 = "#E7F2CC";
global $bgcolor3;
$bgcolor3 = "#F3F9E8";
global $bgcolor4;
$bgcolor4 = "#F5F5F5";
global $textcolor1;
$textcolor1 = "#333333";
global $textcolor2;
$textcolor2 = "#666666";

/**
 * folgende Einstellungen sollten nicht verändert werden
 */

/* Modul-Blöcke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'sidemenu';
$themesetting['blocknav']['current'] = 'current';

/* definieren ob die Templates des Themes gecached werden können */
define('MX_THEME_CACHABLE', true);

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'theme.html');

?>